summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sys-apps/pciutils/files')
-rw-r--r--sys-apps/pciutils/files/digest-pciutils-2.2.4-r23
-rw-r--r--sys-apps/pciutils/files/pciutils-2.2.4-update-pciids.patch34
2 files changed, 30 insertions, 7 deletions
diff --git a/sys-apps/pciutils/files/digest-pciutils-2.2.4-r2 b/sys-apps/pciutils/files/digest-pciutils-2.2.4-r2
new file mode 100644
index 000000000000..1ce68229c366
--- /dev/null
+++ b/sys-apps/pciutils/files/digest-pciutils-2.2.4-r2
@@ -0,0 +1,3 @@
+MD5 5629fdb049f189fb853e7021f85553d2 pciutils-2.2.4.tar.gz 210706
+RMD160 27db4b23a07a02b28b64e01fbe1c74cefa887cc0 pciutils-2.2.4.tar.gz 210706
+SHA256 62fc07f688c6d17f0cf8baa540e42be6117530360c2df491ec02031973506a9f pciutils-2.2.4.tar.gz 210706
diff --git a/sys-apps/pciutils/files/pciutils-2.2.4-update-pciids.patch b/sys-apps/pciutils/files/pciutils-2.2.4-update-pciids.patch
index f875f8a825c0..b37309c8e7a3 100644
--- a/sys-apps/pciutils/files/pciutils-2.2.4-update-pciids.patch
+++ b/sys-apps/pciutils/files/pciutils-2.2.4-update-pciids.patch
@@ -1,6 +1,6 @@
--- update-pciids.sh
+++ update-pciids.sh
-@@ -1,5 +1,7 @@
+@@ -1,30 +1,41 @@
#!/bin/sh
+[ "$1" = "-q" ] && quiet="true" || quiet="false"
@@ -8,7 +8,6 @@
set -e
SRC="http://pciids.sourceforge.net/v2.2/pci.ids"
DEST=pci.ids
-@@ -8,6 +8,13 @@
PCI_COMPRESSED_IDS=
GREP=grep
@@ -22,20 +21,41 @@
if [ -n "$PCI_COMPRESSED_IDS" ] ; then
DECOMP="cat"
SRC="$SRC.gz"
-@@ -22,8 +24,10 @@
+ GREP=zgrep
+-elif which bzip2 >/dev/null ; then
++elif which bzip2 >&2 >/dev/null ; then
+ DECOMP="bzip2 -d"
+ SRC="$SRC.bz2"
+-elif which gzip >/dev/null ; then
++elif which gzip >&2 >/dev/null ; then
+ DECOMP="gzip -d"
+ SRC="$SRC.gz"
+ else
+ DECOMP="cat"
+ fi
- if which curl >/dev/null ; then
+-if which curl >/dev/null ; then
++if which curl >&2 >/dev/null ; then
DL="curl -o $DEST.new $SRC"
+-elif which wget >/dev/null ; then
+ ${quiet} && DL="$DL -s -S"
- elif which wget >/dev/null ; then
++elif which wget >&2 >/dev/null ; then
DL="wget -O $DEST.new $SRC"
+-elif which lynx >/dev/null ; then
+ ${quiet} && DL="$DL -q"
- elif which lynx >/dev/null ; then
++elif which lynx >&2 >/dev/null ; then
DL="eval lynx -source $SRC >$DEST.new"
else
-@@ -59,4 +66,4 @@
+ echo >&2 "update-pciids: cannot find curl, wget or lynx"
+@@ -55,4 +66,10 @@
mv $DEST.neww $DEST
rm $DEST.new
-echo "Done."
++# Older versions did not compress the ids file, so let's make sure we
++# clean that up.
++if [ ${DEST%.gz} != ${DEST} ] ; then
++ rm -f ${DEST%.gz} ${DEST%.gz}.old
++fi
++
+${quiet} || echo "Done."